> For the complete documentation index, see [llms.txt](https://docs.shimoku.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shimoku.com/dev/elements/charts/html/beautiful-titles.md).

# Beautiful Titles

{% hint style="info" %}
WARNING avoid special symbols such as `(, ), [, ]` and similar in the texts of this component because it could break the look\&feel
{% endhint %}

This component is used to highlight text.

The input variables are:

```python
title: str
subtitle: str
```

&#x20;Example of use:

```python
s.plt.html(
    order=0,
    html=s.html_components.create_h1_title(
        title='Easy-to-use AI',
        subtitle='Build a model to predict outcomes!'
    )
)
```

![Use text to highlight topics on your results page and separate themes.](/files/JkDpGuOXl2ItTHglGxiI)

It can be resized and positioned with the use of `padding`:

```python
s.plt.html(
    order=1, 
    cols_size=4,
    padding='0,0,0,8',
    html=s.html_components.create_h1_title(
        title='Easy-to-use AI',
        subtitle='Build a model to predict probabilities!'
    )
)
```

![You can use to display longer text than 'Artificial Intelligence Tools', note the use of padding='0,0,0,8' to position the component.](/files/KJZVHXyZsM6woCLrBPTm)

More on how to use the [Grid](/dev/building-web-app/grid.md).

#### Video demonstration <a href="#video-demonstration-of-the-bar-chart" id="video-demonstration-of-the-bar-chart"></a>

{% embed url="<https://www.loom.com/share/25ec252aec0446c5801bad19ebd3ed3e>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/html/beautiful-titles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
